Panda3D

Loading...
Searching...
No Matches
Classes | Functions | Variables
direct.wxwidgets.ViewPort Namespace Reference

## Classes
class | Viewport
class | ViewportManager

## Functions
| Close (self)
| self.accept("wheel_down", self.zoomOut) self.accept("wheel_up", self.zoomIn) self.accept("page_down", self.zoomOut) self.accept("page_down-repeat", self.zoomOut) self.accept("page_up", self.zoomIn) self.accept("page_up-repeat", self.zoomIn) self.accept("mouse3", self.onRightDown)
| onRightDown (self, evt=None)
| onSize (self, evt)
| zoomIn (self)
| zoomOut (self)

## Variables
| camera
int | CREATENEW = 99
| HORIZONTAL = wx.SPLIT_HORIZONTAL
| initialized
| VERTICAL = wx.SPLIT_VERTICAL
int | VPFRONT = 11
int | VPLEFT = 10
int | VPPERSPECTIVE = 13
int | VPTOP = 12

## Detailed Description

    Contains classes useful for 3D viewports.

    Originally written by pro-rsoft,
    Modified by gjeon.
    Modified by Summer 2010 Carnegie Mellon University ETC PandaLE team: fixed a bug in Viewport.Close

## Function Documentation

## ◆ Close()

Close | ( |  | self | ) |

self.accept("wheel_down", self.zoomOut) self.accept("wheel_up", self.zoomIn) self.accept("page_down", self.zoomOut) self.accept("page_down-repeat", self.zoomOut) self.accept("page_up", self.zoomIn) self.accept("page_up-repeat", self.zoomIn) self.accept("mouse3", self.onRightDown)

    Closes the viewport.

## ◆ onRightDown()

onRightDown | ( |  | self,
|  |  | evt = None )

    Invoked when the viewport is right-clicked.

## ◆ onSize()

onSize | ( |  | self,
|  |  | evt )

    Invoked when the viewport is resized.

## ◆ zoomIn()

zoomIn | ( |  | self | ) |

## ◆ zoomOut()

zoomOut | ( |  | self | ) |

## Variable Documentation

## ◆ camera

camera

## ◆ CREATENEW

int CREATENEW = 99

## ◆ HORIZONTAL

HORIZONTAL = wx.SPLIT_HORIZONTAL

## ◆ initialized

initialized

## ◆ VERTICAL

VERTICAL = wx.SPLIT_VERTICAL

## ◆ VPFRONT

int VPFRONT = 11

## ◆ VPLEFT

int VPLEFT = 10

## ◆ VPPERSPECTIVE

int VPPERSPECTIVE = 13

## ◆ VPTOP

int VPTOP = 12